[arch-commits] Commit in mesa/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 31 09:32:44 EDT 2008


    Date: Sunday, August 31, 2008 @ 09:32:43
  Author: jgc
Revision: 10899

Merged revisions 10692-10898 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/mesa/trunk

........
  r10898 | jgc | 2008-08-31 15:32:30 +0200 (Sun, 31 Aug 2008) | 1 line
  
  upgpkg: mesa 7.1-1
........

Added:
  mesa/repos/testing-i686/mesa-7.1-link-shared.patch
    (from rev 10898, mesa/trunk/mesa-7.1-link-shared.patch)
Modified:
  mesa/repos/testing-i686/	(properties)
  mesa/repos/testing-i686/PKGBUILD

----------------------------+
 PKGBUILD                   |   15 +++++-
 mesa-7.1-link-shared.patch |  102 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+), 2 deletions(-)


Property changes on: mesa/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /mesa/trunk:1-10691
   + /mesa/trunk:1-10898

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-08-31 13:32:30 UTC (rev 10898)
+++ testing-i686/PKGBUILD	2008-08-31 13:32:43 UTC (rev 10899)
@@ -16,10 +16,21 @@
 source=(http://downloads.sourceforge.net/mesa3d/MesaLib-${pkgver}.tar.bz2
 	http://downloads.sourceforge.net/mesa3d/MesaDemos-${pkgver}.tar.bz2
 	ftp://ftp.archlinux.org/other/mesa/gl-manpages-1.0.1.tar.bz2)
+md5sums=('6bff7f532d16f90f944a400c8bd7074d'
+         'abfc9775e1462363af8ec160d1feb01f'
+         '6ae05158e678f4594343f32c2ca50515')
 
 build() {
   cd ${srcdir}/Mesa-${pkgver}
-  ./configure --prefix=/usr --with-dri-drivers=swrast --enable-glx-tls || return 1
+  export CFLAGS="${CFLAGS} -ffast-math"
+  ./configure --prefix=/usr \
+    --with-dri-driverdir=/usr/lib/xorg/modules/dri \
+    --with-dri-drivers=swrast \
+    --enable-glx-tls \
+    --disable-ttm-api \
+    --with-driver=dri \
+    --enable-xcb \
+    --disable-glut || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 
@@ -27,7 +38,7 @@
   install -m755 progs/xdemos/glx{gears,info} ${pkgdir}/usr/bin/ || return 1
 
   rm -f ${pkgdir}/usr/lib/libGL.so*
-  rm -rf ${pkgdir}/usr/lib/dri
+  rm -rf ${pkgdir}/usr/lib/xorg
 
   cd ${srcdir}/gl-manpages-1.0.1
   ./configure --prefix=/usr || return 1

Copied: mesa/repos/testing-i686/mesa-7.1-link-shared.patch (from rev 10898, mesa/trunk/mesa-7.1-link-shared.patch)
===================================================================
--- testing-i686/mesa-7.1-link-shared.patch	                        (rev 0)
+++ testing-i686/mesa-7.1-link-shared.patch	2008-08-31 13:32:43 UTC (rev 10899)
@@ -0,0 +1,102 @@
+diff -up mesa-20080814/src/mesa/drivers/dri/Makefile.dricore mesa-20080814/src/mesa/drivers/dri/Makefile
+--- mesa-20080814/src/mesa/drivers/dri/Makefile.dricore	2008-08-14 02:28:38.000000000 +1000
++++ mesa-20080814/src/mesa/drivers/dri/Makefile	2008-08-14 16:18:20.000000000 +1000
+@@ -6,12 +6,17 @@ include $(TOP)/configs/current
+ 
+ 
+ 
+-default: $(TOP)/$(LIB_DIR) subdirs
++default: $(TOP)/$(LIB_DIR) $(TOP)/$(LIB_DIR)/libdricore.so subdirs
+ 
+ 
+ $(TOP)/$(LIB_DIR):
+ 	-mkdir $(TOP)/$(LIB_DIR)
+ 
++libdricore.so:
++	gcc -shared -o libdricore.so -Wl,--whole-archive ../../libmesa.a -Wl,--no-whole-archive -lm -lpthread -lc
++
++$(TOP)/$(LIB_DIR)/libdricore.so: $(TOP)/$(LIB_DIR) libdricore.so
++	$(INSTALL) libdricore.so $(TOP)/$(LIB_DIR) 
+ 
+ subdirs:
+ 	@for dir in $(DRI_DIRS) ; do \
+@@ -31,12 +36,14 @@ dri.pc: dri.pc.in
+ 	$(pcedit) $< > $@
+ 
+ 
+-install: dri.pc
++install: dri.pc $(TOP)/$(LIB_DIR)/libdricore.so
+ 	@for dir in $(DRI_DIRS) ; do \
+ 		if [ -d $$dir ] ; then \
+ 			(cd $$dir && $(MAKE) install) || exit 1 ; \
+ 		fi \
+ 	done
++	$(INSTALL) -d $(DESTDIR)$(DRI_DRIVER_INSTALL_DIR)
++	$(INSTALL) -m 755 $(TOP)/$(LIB_DIR)/libdricore.so $(DESTDIR)$(DRI_DRIVER_INSTALL_DIR)
+ 	$(INSTALL) -d $(DESTDIR)$(INSTALL_INC_DIR)/GL/internal
+ 	$(INSTALL) -m 0644 $(TOP)/include/GL/internal/dri_interface.h \
+ 	  $(DESTDIR)$(INSTALL_INC_DIR)/GL/internal
+@@ -52,5 +59,6 @@ clean:
+ 			(cd $$dir && $(MAKE) clean) ; \
+ 		fi \
+ 	done
++	-rm -f libdricore.so $(TOP)/$(LIB_DIR)/libdricore.so
+ 	-rm -f common/*.o
+ 	-rm -f *.pc
+diff -up mesa-20080814/src/mesa/drivers/dri/Makefile.template.dricore mesa-20080814/src/mesa/drivers/dri/Makefile.template
+--- mesa-20080814/src/mesa/drivers/dri/Makefile.template.dricore	2008-08-14 02:28:38.000000000 +1000
++++ mesa-20080814/src/mesa/drivers/dri/Makefile.template	2008-08-14 16:19:37.000000000 +1000
+@@ -1,6 +1,6 @@
+ # -*-makefile-*-
+ 
+-MESA_MODULES = $(TOP)/src/mesa/libmesa.a
++MESA_MODULES = $(TOP)/$(LIB_DIR)/libdricore.so
+ 
+ COMMON_SOURCES = \
+         ../common/utils.c \
+@@ -64,7 +64,9 @@ default: symlinks depend $(LIBNAME) $(TO
+ 
+ $(LIBNAME): $(OBJECTS) $(MESA_MODULES) $(WINOBJ) Makefile $(TOP)/src/mesa/drivers/dri/Makefile.template
+ 	$(MKLIB) -o $@ -noprefix -linker '$(CC)' -ldflags '$(LDFLAGS)' \
+-		$(OBJECTS) $(MESA_MODULES) $(WINOBJ) $(DRI_LIB_DEPS)
++		$(OBJECTS) $(WINOBJ) \
++		-L$(TOP)/$(LIB_DIR) -Wl,-R$(DRI_DRIVER_INSTALL_DIR) -ldricore \
++		$(DRI_LIB_DEPS)
+ 
+ 
+ $(TOP)/$(LIB_DIR)/$(LIBNAME): $(LIBNAME)
+diff -up mesa-20080814/src/mesa/x86/read_rgba_span_x86.S.dricore mesa-20080814/src/mesa/x86/read_rgba_span_x86.S
+--- mesa-20080814/src/mesa/x86/read_rgba_span_x86.S.dricore	2008-08-14 02:28:38.000000000 +1000
++++ mesa-20080814/src/mesa/x86/read_rgba_span_x86.S	2008-08-14 16:16:49.000000000 +1000
+@@ -77,7 +77,6 @@
+  */
+ 
+ .globl _generic_read_RGBA_span_BGRA8888_REV_MMX
+-.hidden _generic_read_RGBA_span_BGRA8888_REV_MMX
+ 	.type	_generic_read_RGBA_span_BGRA8888_REV_MMX, @function
+ _generic_read_RGBA_span_BGRA8888_REV_MMX:
+ 	pushl	%ebx
+@@ -172,7 +171,6 @@ _generic_read_RGBA_span_BGRA8888_REV_MMX
+  */
+ 
+ .globl _generic_read_RGBA_span_BGRA8888_REV_SSE
+-.hidden _generic_read_RGBA_span_BGRA8888_REV_SSE
+ 	.type	_generic_read_RGBA_span_BGRA8888_REV_SSE, @function
+ _generic_read_RGBA_span_BGRA8888_REV_SSE:
+ 	pushl	%esi
+@@ -335,7 +333,6 @@ _generic_read_RGBA_span_BGRA8888_REV_SSE
+ 
+ 	.text
+ .globl _generic_read_RGBA_span_BGRA8888_REV_SSE2
+-.hidden _generic_read_RGBA_span_BGRA8888_REV_SSE2
+ 	.type	_generic_read_RGBA_span_BGRA8888_REV_SSE2, @function
+ _generic_read_RGBA_span_BGRA8888_REV_SSE2:
+ 	pushl	%esi
+@@ -494,7 +491,6 @@ _generic_read_RGBA_span_BGRA8888_REV_SSE
+ 
+ 	.text
+ 	.globl	_generic_read_RGBA_span_RGB565_MMX
+-        .hidden _generic_read_RGBA_span_RGB565_MMX
+ 	.type	_generic_read_RGBA_span_RGB565_MMX, @function
+ 
+ _generic_read_RGBA_span_RGB565_MMX:




More information about the arch-commits mailing list